Bug 735068 - [vdsm] [volume] raise volUUID in volume's exception not the Volume class instance.
Summary: [vdsm] [volume] raise volUUID in volume's exception not the Volume class inst...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: 3.3.4
Assignee: David Naori
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 10:40 UTC by David Naori
Modified: 2016-02-10 16:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-17 06:28:38 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description David Naori 2011-09-01 10:40:51 UTC
Description of problem:

Example:

c9dadc7e-81dc-47d4-87c0-ea0cced239e5::ERROR::2011-09-01 13:26:32,190::blockVolume::165::Storage.Volume::(create) Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/blockVolume.py", line 156, in create
    pvol.share(imageDir, hard=False)
  File "/usr/share/vdsm/storage/volume.py", line 243, in share
    raise se.VolumeNonShareable(self)

VolumeNonShareable: Volume cannot be shared, it's not Shared/Template volume: ['<storage.blockVolume.BlockVolume instance at 0x7f4418599ab8>']

Raise self.volUUID instead of the class instance.

Should be fixed at:
 254             raise se.VolumeNonShareable(self)
 256             raise se.VolumeOwnershipError(self)
 377             raise se.VolumeImageHasChildren(self)
 539             raise se.SharedVolumeNonWritable(self)
 542             raise se.InternalVolumeNonWritable(self)

Version-Release number of selected component (if applicable):
vdsm-4.9-96.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Dan Kenigsberg 2011-09-01 23:18:07 UTC
oh, the real thing does exist:

http://gerrit.usersys.redhat.com/889

Comment 4 Ayal Baron 2011-09-05 06:48:27 UTC
David, please attach vdsm.log.  It is not clear to me why the object is logged and not its properties

Comment 5 Dan Kenigsberg 2011-09-06 16:09:47 UTC
David agreed with me that this bug is not urgent for 3.0. Moving upstream.


Note You need to log in before you can comment on or make changes to this bug.